Bug 470649 - Copy and paste from PDF file sometimes results in extra spaces
Copy and paste from PDF file sometimes results in extra spaces
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-08 05:47 EST by Emmanuel Kowalski
Modified: 2013-04-02 00:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:48:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
LaTeX source code for a problematic file. (411 bytes, application/x-tex)
2008-11-08 05:47 EST, Emmanuel Kowalski
no flags Details
PDF file where the copy/paste problem is present. (12.56 KB, application/pdf)
2008-11-08 05:48 EST, Emmanuel Kowalski
no flags Details

  None (edit)
Description Emmanuel Kowalski 2008-11-08 05:47:41 EST
Created attachment 322937 [details]
LaTeX source code for a problematic file.

Description of problem:
For some PDF files, copying text in evince results (after pasting) in extra spaces being inserting between certain characters.

Version-Release number of selected component (if applicable):
evince-2.22.2-1.fc9.x86_64
poppler-0.8.7-1.fc9.x86_64
poppler-0.8.7-1.fc9.i386

How reproducible:
Always.

Steps to Reproduce:
1. Open affected PDF file, select some text.
2. Paste the text in text editor or elsewhere.
3. 
  
Actual results:
Spaces are inserted between some characters in the pasted text.

Expected results:
No extra character.

Additional info:
This was noticed in some PDF files produced by pdflatex using the 'listing.sty' package to produce code listings; the latex source file and the PDF will be attached. However, the bug doesn't seem to be in pdflatex or listing.sty because Acrobat Reader can copy/paste the resulting PDF without creating extra spaces.
The same problem occurs with okular, and also with 
Qt: 4.4.3
KDE: 4.1.2 (KDE 4.1.2)
Okular: 0.7.2

Additionally, the same problem occurs with the standard PDF viewer for MacOS X, but not with Acrobat Reader on Mac.
Comment 1 Emmanuel Kowalski 2008-11-08 05:48:38 EST
Created attachment 322939 [details]
PDF file where the copy/paste problem is present.
Comment 2 Bug Zapper 2009-06-09 23:12:45 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 10:26:19 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Emmanuel Kowalski 2009-07-14 10:47:17 EDT
The bug is still present on Fedora 11, in fact both for evince and okular.

evince-2.26.2-1.fc11.x86_64
kdegraphics-4.2.4-1.fc11.x86_64
Comment 6 Bug Zapper 2010-04-27 08:19:15 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 06:48:12 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.